SDK for JavaScript Software

TM-Intelligent Printer

Epson ePOS SDK for JavaScript

This is an SDK aimed at development engineers who are developing Web applications for printing on an EPSON TM printer and an EPSON TM Intelligent printer.
Applications are developed using the APIs provided by Epson ePOS SDK.

[Changes from Version 2.3.0]
[Added support model/Browser]
- TM-T88VI-iHUB
- Microsoft Edge 26 - 38
- Mozilla Firefox 44 - 49
- Google Chrome 48 - 53
- Safari 10
- Safari in iOS 10
[Added new function]
- Added multi-lingual keyboard support.
[Changed function]

- Returns Error Code “TooManyRequests” if the print data or display data is sent over the allowable amount of the printer firmware.

[Bug fix]
Following issues are fixed:

- In Receipt Designer for ePOS SDK, TM-m10, TM-m30 is not listed in the corresponding models of the addPageLine() and addPageRectangle().


[Applicable Products]
TM-T70, TM-T70II, TM-T88IV, TM-T88V, TM-T88VI, TM-T88VI-iHUB, TM-T90, TM-L90, TM-P20, TM-P60II, TM-P80, TM-U220, TM-m10, TM-m30, TM-T20II-i, TM-T70-i, TM-T82II-i, TM-T83II-i, TM-T88V-i, TM-U220-i, TM-T70II-DT, TM-T88V-DT, TM-H6000IV-DT

[Web Browser Version]
- Windows Internet Explorer 8 to 11 (*)
- Microsoft Edge 25
- Mozilla Firefox 12.0 to 43
- Google Chrome 21 to 47
- Safari 4 to 9
- Safari in iOS 5 to 9
(*)To use the "print" method of the Printer object, Windows Internet Explorer 9 or later is required.

[Interface]
- Wired LAN
- Wireless LAN

ePOS-Device SDK

The ePOS-Device SDK is a SDK aimed at development engineers who are developing applications for controlling peripherals connected to an EPSON TM-Intelligent printer.

In case that you apply for registration newly to the Apple Store on or after June 15, 2016, we prohibit you to use ePOS-Device SDK for iOS. If you apply for registration newly to the Apple Store on or after June 1, 2016, please migrate to Epson ePOS SDK for iOS version 2.2.0 or later.

[Note]
The ePOS-Device SDK has migrated to the Epson ePOS SDK.
We will not support new products and new features with the ePOS-Device SDK after releasing Epson ePOS SDK.
We recommend migrate the application software which was developed using the ePOS-Device SDK to the Epson ePOS SDK. For more information, please refer to the Migration Guide that is included on the Epson ePOS SDK.


ePOS-Device SDK is made up of the following software as one package.
(1) ePOS-Device SDK for Android (*)
(2) ePOS-Device SDK for iOS (*)
(3) ePOS-Device SDK for JavaScript

(*) The TM-DT series is not supported.

  • Android2.x
  • Android3.x
  • Android4.x
  • Android5.x
  • iOS4.x
  • iOS5.x
  • iOS6.x
  • iOS7.x
  • iOS8.x
  • iPhone
  • iPodtouch
  • iPad
  • iPadmini

Jump to the top